---
- name: Test Environment Bootstrap (Common Roles)
  hosts: all
  become: yes
  roles:
    - role: base
      tags: [base]
    - role: hardening
      tags: [hardening]
    - role: docker
      tags: [docker]
    - role: node_dirs
      tags: [node_dirs]
    - role: storagebox
      tags: [storagebox]
    - role: storagebox_ssh_key
      tags: [storagebox_ssh_key]

- name: Swarm Infrastructure Setup
  hosts: all
  become: yes
  serial: 1 # Manager'in önce bitmesi ve token'i worker'a vermesi için
  roles:
    - role: swarm
      tags: [swarm]
